#!/usr/bin/env python3
"""
Form(s) for the create_quest page.
"""
from django import forms

from quest.models import Quest, Post, PageTitle

class QuestForm(forms.ModelForm):
	"""
	The main create_quest form.
	"""
	class Meta:
		model = Quest
		fields = ('title',)


class PostForm(forms.ModelForm):
	"""
	The form for beginning the first post of the quest.
	"""
	class Meta:
		model = Post
		fields = ('post_text',)
