#/usr/bin/env python3
"""
Form(s) for the signup app.
"""
from django import forms
from django.contrib.auth.forms import UserCreationForm

from user.models import User

class SignupForm(UserCreationForm):
	"""
	The form for the signup page.
	"""
	email = forms.EmailField(max_length=254, help_text="Must be a valid email address.")

	class Meta:
		model = User
		fields = ('username', 'email', 'password1', 'password2')
